<div class="nested-fields row">
  <div class="col-md-3">
    <%= f.input :sanctioned_intakes, label: "SANCTIONED INTAKE", collection: sanctioned_collection, input_html: {class: "form-control form-flied sanctioned_intake select2", multiple: true}, include_hidden: false %>
  </div>
  <div class="col-md-3 intake_management">
    <%= f.input :sanctioned_intake_mgmt, label: "SANCTIONED MANAGEMENT SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 intake_government">
    <%= f.input :sanctioned_intake_govt, label: "SANCTIONED GOVERNMENT SEAT", input_html: { class: "form-control form-flied" } %>
  </div>

  <div class="col-md-3">
    <%= f.input :admitteds, label: "ADMITTED", collection: admitted_collection, input_html: {class: "form-control form-flied admitted select2", multiple: true}, include_hidden: false %>
  </div>
  <div class="col-md-3 admitted_year">
    <%= f.input :admitted_year, label: "ADMITTED YEAR", input_html: { class: "form-control form-flied datepicker" } %>
  </div>
  <div class="col-md-3 admitted_government">
    <%= f.input :admitted_govt, label: "ADMITTED GOVERNMENT SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 admitted_management">
    <%= f.input :admitted_mgmt, label: "ADMITTED MANAGEMENT SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :male, label: "MALE", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :female, label: "FEMALE", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :third_gender, label: "THIRD GENDER", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :physical_challenged, label: "PHYSICAL CHALLENGED", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :categories, label: "CATEGORY", collection: category_collection, input_html: {class: "form-control form-flied category select2", multiple: true}, include_hidden: false %>
  </div>
  <div class="col-md-3 category_gm">
    <%= f.input :gm_seat, label: "GM SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_sc">
    <%= f.input :sc_seat, label: "SC SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_st">
    <%= f.input :st_seat, label: "ST SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_cat-i">
    <%= f.input :cat_1_seat, label: "CAT-I SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_cat-ii">
    <%= f.input :cat_2_seat, label: "CAT-II SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_obc">
    <%= f.input :obc_seat, label: "OBC SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3 category_other">
    <%= f.input :other_seat, label: "OTHER SEAT", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :within_state, label: "WITHIN STATE", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :outside_state, label: "OUTSIDE STATE", input_html: { class: "form-control form-flied" } %>
  </div>
  <div class="col-md-3">
    <%= f.input :foreign_student, label: "FOREIGN STUDENT", input_html: { class: "form-control form-flied" } %>
  </div>
</div>


<script type="text/javascript">
  $( ".select2" ).select2();

  function sortString(type)
  {
    var str
    if (type == null){
      str = []
    }else{
      str = type.toString().split(",")
    }
    return str;
  }

  function sanctionedIntakeFunc(type) {
    var intake_arr = sortString(type);
    intake_arr.forEach(function(item) {
      $('.intake_' + item.toLowerCase()).show();
    });
  }

  function admittedFunc(type) {
    var admitted_arr = sortString(type);
    admitted_arr.forEach(function(item) {
      $('.admitted_' + item.toLowerCase()).show();
    });
  }

  function categoryFunc(type) {
    var category_arr = sortString(type);
    category_arr.forEach(function(item) {
      $('.category_' + item.toLowerCase()).show();
    });
  }

  
  $(document).ready(function(){
    $(".datepicker").datepicker({
      format: "yyyy",
      viewMode: "years", 
      minViewMode: "years",
      autoclose: true
    });

    $('.intake_management, .intake_government').hide();
    $('.admitted_management, .admitted_government, .admitted_year').hide();
    $('.category_gm, .category_sc, .category_st, .category_cat-i, .category_cat-ii, .category_obc, .category_other').hide();

    var intake = $('.sanctioned_intake').val();
    sanctionedIntakeFunc(intake);

    var admitted = $('.admitted').val();
    admittedFunc(admitted);

    var category = $('.category').val();
    categoryFunc(category);
  });

  $('.sanctioned_intake').on('change', function(){
    $('.intake_management, .intake_government').hide();
    var intake = $(this).val();
    sanctionedIntakeFunc(intake);
  });

  $('.admitted').on('change', function(){
    $('.admitted_management, .admitted_government, .admitted_year').hide();
    var admitted = $(this).val();
    admittedFunc(admitted);
  });

  $('.category').on('change', function(){
    $('.category_gm, .category_sc, .category_st, .category_cat-i, .category_cat-ii, .category_obc, .category_other').hide();
    var category = $(this).val();
    categoryFunc(category);
  });

</script>


